Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_SOCK_SEQPACK_Acceptor Class Reference

Defines a factory that creates new <ACE_Association>s passively. More...

`#include <SOCK_SEQPACK_Acceptor.h>`

Inheritance diagram for ACE_SOCK_SEQPACK_Acceptor:

[legend]
Collaboration diagram for ACE_SOCK_SEQPACK_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Multihomed_INET_Addr | PEER_ADDR
typedef ACE_SOCK_SEQPACK_Association | PEER_STREAM
## Public Methods
| ACE_SOCK_SEQPACK_Acceptor (void)
| Default constructor.
| ACE_SOCK_SEQPACK_Acceptor (const ACE_Addr &local_sap, int reuse_addr=0, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=132)
| ACE_SOCK_SEQPACK_Acceptor (const ACE_Multihomed_INET_Addr &local_sap, int reuse_addr=0, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=132)
| Multihomed version of same.
| ACE_SOCK_SEQPACK_Acceptor (const ACE_Addr &local_sap, ACE_Protocol_Info *protocolinfo, ACE_SOCK_GROUP g, u_long flags, int reuse_addr, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=132)
int | open (const ACE_Addr &local_sap, int reuse_addr=0, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=132)
int | open (const ACE_Multihomed_INET_Addr &local_sap, int reuse_addr=0, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=132)
| Multihomed version of same.
int | open (const ACE_Addr &local_sap, ACE_Protocol_Info *protocolinfo, ACE_SOCK_GROUP g, u_long flags, int reuse_addr, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=132)
int | close (void)
| Close the socket. Returns 0 on success and -1 on failure.
| ~ACE_SOCK_SEQPACK_Acceptor (void)
| Default dtor.
int | accept (ACE_SOCK_SEQPACK_Association &new_association, ACE_Addr *remote_addr=0, ACE_Time_Value *timeout=0, int restart=1, int reset_new_handle=0) const
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
int | shared_accept_start (ACE_Time_Value *timeout, int restart, int &in_blocking_mode) const
int | shared_accept_finish (ACE_SOCK_SEQPACK_Association new_association, int in_blocking_mode, int reset_new_handle) const
int | shared_open (const ACE_Addr &local_sap, int protocol_family, int backlog)
int | shared_open (const ACE_Multihomed_INET_Addr &local_sap, int protocol_family, int backlog)
| Multihomed version of same.
## Private Methods
int | get_remote_addr (ACE_Addr &) const
| Do not allow this function to percolate up to this interface...

## Detailed Description

Defines a factory that creates new <ACE_Association>s passively.

The <ACE_SOCK_SEQPACK_Acceptor> has its own "passive-mode" socket. This serves as a factory to create so-called "data-mode" sockets, which are what the <ACE_SOCK_SEQPACK_Association> encapsulates. Therefore, by inheriting from <ACE_SOCK>, <ACE_SOCK_SEQPACK_Acceptor> gets its very own socket.

## Member Typedef Documentation

typedef ACE_Multihomed_INET_Addr ACE_SOCK_SEQPACK_Acceptor::PEER_ADDR

typedef ACE_SOCK_SEQPACK_Association ACE_SOCK_SEQPACK_Acceptor::PEER_STREAM

## Constructor & Destructor Documentation

ACE_SOCK_SEQPACK_Acceptor::ACE_SOCK_SEQPACK_Acceptor | ( | void |  | ) |

| Default constructor.

ACE_SOCK_SEQPACK_Acceptor::ACE_SOCK_SEQPACK_Acceptor | ( | const ACE_Addr & | local_sap,
|  | int | reuse_addr = 0,
|  | int | protocol_family = PF_UNSPEC,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 132
| ) |

| Initialize a passive-mode BSD-style acceptor socket (no QoS). <local_sap> is the address that we're going to listen for connections on. If <reuse_addr> is 1 then we'll use the <SO_REUSEADDR> to reuse this address.

ACE_SOCK_SEQPACK_Acceptor::ACE_SOCK_SEQPACK_Acceptor | ( | const ACE_Multihomed_INET_Addr & | local_sap,
|  | int | reuse_addr = 0,
|  | int | protocol_family = PF_UNSPEC,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 132
| ) |

| Multihomed version of same.

ACE_SOCK_SEQPACK_Acceptor::ACE_SOCK_SEQPACK_Acceptor | ( | const ACE_Addr & | local_sap,
|  | ACE_Protocol_Info * | protocolinfo,
|  | ACE_SOCK_GROUP | g,
|  | u_long | flags,
|  | int | reuse_addr,
|  | int | protocol_family = PF_UNSPEC,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 132
| ) |

| Initialize a passive-mode QoS-enabled acceptor socket. Returns 0 on success and -1 on failure.

ASYS_INLINE ACE_SOCK_SEQPACK_Acceptor::~ACE_SOCK_SEQPACK_Acceptor | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

int ACE_SOCK_SEQPACK_Acceptor::accept | ( | ACE_SOCK_SEQPACK_Association & | new_association,
|  | ACE_Addr * | remote_addr = 0,
|  | ACE_Time_Value * | timeout = 0,
|  | int | restart = 1,
|  | int | reset_new_handle = 0
| ) | const

| Accept a new <ACE_SOCK_SEQPACK_Association> connection. A <timeout> of 0 means block forever, a <timeout> of {0, 0} means poll. <restart> == 1 means "restart if interrupted," i.e., if errno == EINTR. Note that <new_association> inherits the "blocking mode" of <this> <ACE_SOCK_SEQPACK_Acceptor>, i.e., if <this> acceptor factory is in non-blocking mode, the <net_association> will be in non-blocking mode and vice versa.

int ACE_SOCK_SEQPACK_Acceptor::close | ( | void |  | ) |

| Close the socket. Returns 0 on success and -1 on failure. Reimplemented from ACE_SOCK.

void ACE_SOCK_SEQPACK_Acceptor::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_SOCK.

int ACE_SOCK_SEQPACK_Acceptor::get_remote_addr | ( | ACE_Addr & |  | ) | const`[private]`

| Do not allow this function to percolate up to this interface... Reimplemented from ACE_SOCK.

int ACE_SOCK_SEQPACK_Acceptor::open | ( | const ACE_Addr & | local_sap,
|  | ACE_Protocol_Info * | protocolinfo,
|  | ACE_SOCK_GROUP | g,
|  | u_long | flags,
|  | int | reuse_addr,
|  | int | protocol_family = PF_UNSPEC,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 132
| ) |

| Initialize a passive-mode QoS-enabled acceptor socket. Returns 0 on success and -1 on failure.

int ACE_SOCK_SEQPACK_Acceptor::open | ( | const ACE_Multihomed_INET_Addr & | local_sap,
|  | int | reuse_addr = 0,
|  | int | protocol_family = PF_UNSPEC,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 132
| ) |

| Multihomed version of same.

int ACE_SOCK_SEQPACK_Acceptor::open | ( | const ACE_Addr & | local_sap,
|  | int | reuse_addr = 0,
|  | int | protocol_family = PF_UNSPEC,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | int | protocol = 132
| ) |

| Initialize a passive-mode BSD-style acceptor socket (no QoS). <local_sap> is the address that we're going to listen for connections on. If <reuse_addr> is 1 then we'll use the <SO_REUSEADDR> to reuse this address. Returns 0 on success and -1 on failure.

int ACE_SOCK_SEQPACK_Acceptor::shared_accept_finish | ( | ACE_SOCK_SEQPACK_Association | new_association,
|  | int | in_blocking_mode,
|  | int | reset_new_handle
| ) | const`[protected]`

| Perform operations that must occur after <ACE_OS::accept> is called.

int ACE_SOCK_SEQPACK_Acceptor::shared_accept_start | ( | ACE_Time_Value * | timeout,
|  | int | restart,
|  | int & | in_blocking_mode
| ) | const`[protected]`

| Perform operations that must occur before <ACE_OS::accept> is called.

int ACE_SOCK_SEQPACK_Acceptor::shared_open | ( | const ACE_Multihomed_INET_Addr & | local_sap,
|  | int | protocol_family,
|  | int | backlog
| ) | `[protected]`

| Multihomed version of same.

int ACE_SOCK_SEQPACK_Acceptor::shared_open | ( | const ACE_Addr & | local_sap,
|  | int | protocol_family,
|  | int | backlog
| ) | `[protected]`

| This method factors out the common <open> code and is called by both the QoS-enabled <open> method and the BSD-style <open> method.

## Member Data Documentation

ACE_SOCK_SEQPACK_Acceptor::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SOCK.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_SEQPACK_Acceptor.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_SEQPACK_Acceptor.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_SEQPACK_Acceptor.i